Subject: Re: bug#24117: 25.1; url-http-create-request: Multibyte text in HTTP request

From: Sho Takemori <[email-masked]>
Date: Tue, 2 Aug 2016 12:26:03 +0900

> I don't see this character in the string you show.

It does not contain "∧" but it contains "\342\210\247".
That example was unnecessarily big. I should have provided a minimal one.

Sho Takemori

2016-08-01 22:17 GMT+09:00 Eli Zaretskii <[email-masked]>:

> > From: Sho Takemori <[email-masked]>
> > Date: Mon, 1 Aug 2016 08:21:39 +0900
> > Cc: [email-masked]
> >
> > It seems that anaconda-mode use two global variables (url-request-method
> and url-request-data)
> > to make generate the request.
> >
> >
> https://github.com/proofit404/anaconda-mode/blob/master/anaconda-mode.el#L349
> >
> > url-request-method is bound to an ASCII string "POST".
> > In my situation, url-request-data is bound to a unibyte string as below.
>
> I don't see any non-ASCII characters in that string.  So how come it
> causes the error message?
>
> > The file contains a multibyte string "∧"
>
> I don't see this character in the string you show.
>
> > and anaconda-mode converts it to "\342\210\247".
>
> Which is a correct UTF-8 encoding of that character, and should
> produce a unibyte string.
>
> To summarize, I still don't understand how come the error happened.
> Could you perhaps step with Edebug into url-http-create-request, and
> see what is going on there?  Or come up with a reproducible recipe of
> calling url-http-create-request that I could examine on my machine?
>
> Thanks.
>